Intermittent browser_projecteditor_confirm_unsaved.js | There are unsaved resources | When there are unsaved changes, clicking cancel makes confirmUnsaved() false

RESOLVED INVALID

Status

DevTools
WebIDE
P3
normal
RESOLVED INVALID
4 years ago
11 days ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
10:56:38     INFO -  7690 INFO TEST-START | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js
10:56:38     INFO -  7691 INFO checking window state
10:56:38     INFO -  7692 INFO Building a temporary directory at ProjectEditor1415991398006
10:56:38     INFO -  7693 INFO Adding a project editor tab for editing at: /Users/cltbld/Library/Caches/TemporaryItems/ProjectEditor1415991398006
10:56:38     INFO -  7694 INFO Adding a new tab with URL: 'chrome://browser/content/devtools/projecteditor-test.xul'
10:56:38     INFO -  7695 INFO URL 'chrome://browser/content/devtools/projecteditor-test.xul' loading complete
10:56:38     INFO -  7696 INFO must wait for load
10:56:38     INFO -  7697 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | Tab has placeholder iframe for projecteditor
10:56:38     INFO -  7698 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | ProjectEditor has been initialized
10:56:38     INFO -  7699 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | ProjectEditor has loaded
10:56:38     INFO -  7700 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | A valid resource has been passed in for selection /Users/cltbld/Library/Caches/TemporaryItems/ProjectEditor1415991398006/css/styles.css
10:56:38     INFO -  7701 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | Editor has been activated for /Users/cltbld/Library/Caches/TemporaryItems/ProjectEditor1415991398006/css/styles.css
10:56:38     INFO -  7702 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | There are no unsaved resources
10:56:38     INFO -  7703 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | When there are no unsaved changes, confirmUnsaved() is true
10:56:38     INFO -  7704 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | There are no unsaved resources
10:56:38     INFO -  7705 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | When an editor has changed but is still the original text, confirmUnsaved() is true
10:56:38     INFO -  7706 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | There are unsaved resources
10:56:38     INFO -  7707 INFO confirm dialog observed as expected, going to click OK
10:56:38     INFO -  7708 INFO TEST-PASS | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | When there are unsaved changes, clicking OK makes confirmUnsaved() true
10:56:38     INFO -  7709 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | There are unsaved resources -
10:56:38     INFO -  Stack trace:
10:56:38     INFO -  chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js:checkConfirmNo:58
10:56:38     INFO -  chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js:test<:29
10:56:38     INFO -  self-hosted:InterpretGeneratorResume:959
10:56:38     INFO -  self-hosted:next:885
10:56:38     INFO -  resource://gre/modules/Task.jsm:TaskImpl_run:314
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:Handler.prototype.process:870
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.walkerLoop:749
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.scheduleWalkerLoop/<:691
10:56:38     INFO -  null:null:0
10:56:38     INFO -  7710 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | When there are unsaved changes, clicking cancel makes confirmUnsaved() false -
10:56:38     INFO -  Stack trace:
10:56:38     INFO -  chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js:checkConfirmNo:59
10:56:38     INFO -  chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js:test<:29
10:56:38     INFO -  self-hosted:InterpretGeneratorResume:959
10:56:38     INFO -  self-hosted:next:885
10:56:38     INFO -  resource://gre/modules/Task.jsm:TaskImpl_run:314
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:Handler.prototype.process:870
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.walkerLoop:749
10:56:38     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.scheduleWalkerLoop/<:691
10:56:38     INFO -  null:null:0
10:56:38     INFO -  7711 INFO TEST-OK | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | took 885ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 42

3 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 3
* fx-team: 3
* b2g-inbound: 3

Platform breakdown:
* windows7-32: 11
* windowsxp: 1
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1099389&startday=2015-10-12&endday=2015-10-18&tree=all

Comment 43

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* osx-10-6: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1099389&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 44

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
6 failures in 845 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* oak: 1
* mozilla-aurora: 1

Platform breakdown:
* windows8-64: 3
* windows7-32-vm: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1099389&startday=2017-03-27&endday=2017-04-02&tree=all
Projecteditor was removed from the tree in bug 1361311.
Status: REOPENED → RESOLVED
Last Resolved: 3 years agoa year ago
Resolution: --- → INVALID
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1099389&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 48

7 months ago
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1099389&startday=2017-11-06&endday=2017-11-12&tree=all

Updated

11 days ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.